<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	//定义方法---在bootstrap数据循环中使用，必须定义在bootstrapTable之前
	window.operateEvents = {
		'click #TableView': function (e, value, row, index) {
			jp.openTab("${ctx}/sg/material?projectId="+row.projectId,'查看《'+row.projectName+'》物料情况', true);
		}
	};
	var h = $(window).height() - 100;
	//bootstrapTable加载数据
	$('#informationTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       		showSearch: true,
				height:h,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/sg/information/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onClickRow: function(row, $el){
               },
			onLoadSuccess: function () {  //加载成功时执行
				getTdValue();
			},
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [
               	{
		        field: 'projectId',
		        title: '项目定义号',
		        sortable: true,
		        sortName: 'project_id'
		    }
			,{
		        field: 'projectName',
		        title: '项目名称',
		        sortable: true,
		        sortName: 'project_name'
		    }
			,{
		        field: 'projectType',
		        title: '项目类型',
		        sortable: true,
		        sortName: 'project_type'
		    }
		   ,{
			   field: 'outConstruction',
			   title: '工作状态（是否关闭）',
			   sortable: true,
			   sortName: 'outConstruction'
		   }
		   ,{
			   field: 'approvalDate',
			   title: '审定日期',
			   sortable: true,
			   sortName: 'approvalDate'
		   }
		   ,{
			   field: 'complete',
			   title: '是否完成甲供材领退料',
		   }
		   ,{
			   field: 'finishDate',
			   title: '完成甲供物资领退料的时间',
		   }
		   ,{
			   field: 'noFinishDate',
			   title: '未完成甲供物资领退料的时间',
		   }
		   ,{
			   field: 'overdue',
			   title: '是否超期',
			   sortable: true,
			   sortName: 'overdue'
		   }
		   ,{
			   field: 'trial',
			   title: '是否决算送审',
			   sortable: true,
			   sortName: 'trial'
		   }
		   ,{
			   field: 'firstFinish',
			   title: '是否完成甲供物资领退料（第1次）',
			   sortable: true,
			   sortName: 'firstFinish'
		   }
		   ,{
			   field: 'firstFinishDate',
			   title: '完成甲供物资领退料的日期（第1次)',
			   sortable: true,
			   sortName: 'firstFinishDate'
		   }
		   ,{
			   field: 'secondFinish',
			   title: '是否完成甲供物资领退料（第2次）',
			   sortable: true,
			   sortName: 'secondFinish'
		   }
		   ,{
			   field: 'secondFinishDate',
			   title: '完成甲供物资领退料的日期（第2次）',
			   sortable: true,
			   sortName: 'secondFinishDate'
		   }
		   ,{
			   field: 'firstUnits',
			   title: '一级单位',
			   sortable: true,
			   sortName: 'first_units'
		   }
		   ,{
			   field: 'secondUnits',
			   title: '二级单位',
			   sortable: true,
			   sortName: 'second_units'
		   }
		   ,{
			   field: 'underCentralized',
			   title: '归口部门',
			   sortable: true,
			   sortName: 'underCentralized'
		   }
			,{
		        field: 'projectGrade',
		        title: '电压等级',
		        sortable: true,
		        sortName: 'project_grade'
		    }
			,{
		        field: 'projectYear',
		        title: '项目预算年度',
		        sortable: true,
		        sortName: 'project_year'
		    }
			,{
		        field: 'projectTotal',
		        title: '项目总投资（元）',
		        sortable: true,
		        sortName: 'project_total'
		    }
		   ,{
			   field: 'projectStart',
			   title: '实际开工日期',
			   sortable: true,
			   sortName: 'project_start'
		   }
		   ,{
			   field: 'projectStop',
			   title: '实际竣工日期',
			   sortable: true,
			   sortName: 'project_stop'
		   }
		   ,{
			   field: 'construction',
			   title: '施工单位',
			   sortable: true,
			   sortName: 'construction'
		   }
		   ,{
			   field: 'projectFirm',
			   title: '事务所名称',
			   sortable: true,
			   sortName: 'project_firm'
		   }
		   ,{
			   field: 'subDate',
			   title: '提交送审日期',
			   sortable: true,
			   sortName: 'subDate'
		   }
		   ,{
			   field: 'releaseDate',
			   title: '审计任务下达日期',
			   sortable: true,
			   sortName: 'releaseDate'
		   }
		   ,{
			   field: 'endDate',
			   title: '审计应结束日时间',
			   sortable: true,
			   sortName: 'endDate'
		   }
		   ,{
			   field: 'resultDate',
			   title: '结果上传时间',
			   sortable: true,
			   sortName: 'resultDate'
		   }

		   ,{
			   field: 'settlement',
			   title: '结算单位',
			   sortable: true,
			   sortName: 'settlement'
		   }
			,{
			   field: 'operate',
			   title: '操作',
			   width: '80px',
			   events: operateEvents,
			   formatter: operateFormatter
		   }
		     ]
		});

	function operateFormatter(value, row, index) {
		return [
			'<input id="TableView" type="button" value="查看" class="btn btn-default">',
		].join('');
	}

	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}

	  //加载完成后，对第二次是否完成领退料判断变并变更行样式
	function getTdValue() {
		var tableId = document.getElementById("informationTable");
		for(var i = 1;i < tableId.rows.length;i++) {
			if(tableId.rows[i].cells[12].innerHTML.indexOf("是") != -1 || tableId.rows[i].cells[12].innerHTML.indexOf("否") != -1){
				tableId.rows[i].setAttribute("style","color: red;");
			}
		}
		$("#hiddenSign").val("不是第一次加载")
	}


		//导入甲供材
	  	$("#btnInformation").click(function () {
			jp.open({
				type: 2,
				area: [500, 200],
				auto: true,
				title:"导入甲供材",
				content: "${ctx}/tag/importExcel" ,
				btn: ['确定', '关闭'],
				btn1: function(index, layero){
					var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
					iframeWin.contentWindow.importExcel('${ctx}/sg/information/import', function (data) {
						console.log(data);
						if(data.success){
						jp.success(data.msg);
						refresh();
						}else{
						jp.error(data.msg);
						}
						jp.close(index);
					});//调用保存事件
					return false;
				},
				btn2: function(index){
					jp.close(index);
				}
			})
		})

	//导入送审
	$("#btnInTrial").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入数据",
			content: "${ctx}/tag/importExcel" ,
			btn: ['下载模板','确定', '关闭'],
			btn1: function(index, layero){
				jp.downloadFile('${ctx}/sg/information/import/templates');
			},
			btn2: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/importInTrial', function (data) {
					if(data.success){
						jp.success(data.msg);
						refresh();
					}else{
						jp.error(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn3: function(index){
				jp.close(index);
			}
		})
	})

	//导入综合信息
	$("#btnCom").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入数据",
			content: "${ctx}/tag/importExcel" ,
			btn: ['确定', '关闭'],
			btn1: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/importCom', function (data) {
					if(data.success){
						jp.success(data.msg);
						refresh();
					}else{
						jp.error(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn2: function(index){
				jp.close(index);
			}
		})
	})

	//批量查询
    $("#btnSearch").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入数据",
            content: "${ctx}/tag/importExcel" ,
            btn: ['下载模板','确定', '关闭'],
            btn1: function(index, layero){
                jp.downloadFile('${ctx}/sg/information/import/template');
            },
            btn2: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/information/btnSearch', function (data) {
                	top.layer.msg('成功', {icon:1})
					$('#informationTable').bootstrapTable({pagination:false});
					$('#informationTable').bootstrapTable('load',data);
					jp.close(index);
                });//调用保存事件
                return false;
            },
            btn3: function(index){
                jp.close(index);
            }
        })
    })

	//导入原因类型
	$("#btnInReason").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入原因类型",
			content: "${ctx}/tag/importExcel" ,
			btn: ['确定', '关闭'],
			btn1: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/btnInReason', function (data) {
					if(data.success){
						jp.alert(data.msg);
						refresh();
					}else{
						jp.alert(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn2: function(index){
				jp.close(index);
			}
		})
	})

//导出物料清单
	$("#export").click(function(){
		var projectId = $("#projectId").val();
		var projectName = $("#projectName").val();
		var projectType = $("#projectType").val();
		var projectYear = $("#projectYear").val();
		var firstUnits = $("#firstUnits").val();
		var secondUnits = $("#secondUnits").val();
		console.log(projectId);
		console.log(projectName);
		console.log(projectType);
		console.log(projectYear);
		console.log(firstUnits);
		console.log(secondUnits);
		jp.downloadFile('${ctx}/sg/information/exportMaterial?projectId='+projectId+'&projectName='+projectName+'&projectType='+projectType+'&projectYear='+projectYear+'&firstUnits='+firstUnits+'&secondUnits='+secondUnits);
	});

//导出项目清单
	$("#exportMaterial").click(function(){
		var projectId = $("#projectId").val();
		var projectName = $("#projectName").val();
		var projectType = $("#projectType").val();
		var projectYear = $("#projectYear").val();
		var firstUnits = $("#firstUnits").val();
		var secondUnits = $("#secondUnits").val();
		jp.downloadFile('${ctx}/sg/information/export?projectId='+projectId+'&projectName='+projectName+'&projectType='+projectType+'&projectYear='+projectYear+'&firstUnits='+firstUnits+'&secondUnits='+secondUnits);

	});

//导出说明word
	$("#exportInformation").click(function(){
		var projectId = $("#projectId").val();
		var projectName = $("#projectName").val();
		var projectType = $("#projectType").val();
		var projectYear = $("#projectYear").val();
		var firstUnits = $("#firstUnits").val();
		var secondUnits = $("#secondUnits").val();
		jp.downloadFile('${ctx}/sg/information/exportInformation?projectId='+projectId+'&projectName='+projectName+'&projectType='+projectType+'&projectYear='+projectYear+'&firstUnits='+firstUnits+'&secondUnits='+secondUnits);
	});

	$("#editOverTime").click(function () {
		jp.openViewDialog('配置超期时间','${ctx}/sg/information/editOverTime','1000px','800px');
	});

	// 绑定查询按扭
	$("#search").click("click", function() {
		  sessionStorage.removeItem("path");
		  $('#informationTable').bootstrapTable('refresh');
		});

	// 绑定查询重置按扭
	 $("#reset").click("click", function() {
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#informationTable').bootstrapTable('refresh');
		});


	});

  function getIdSelections() {
        return $.map($("#informationTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }



    //刷新列表
  function refresh() {
      $('#informationTable').bootstrapTable('refresh');
  }





	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}

</script>
